#include "rtpsender.h"

rtpSender::rtpSender(QObject *parent) :
    QThread(parent)
{
	ortp_init();
	ortp_scheduler_init();
	ortp_set_log_level_mask(ORTP_MESSAGE|ORTP_WARNING|ORTP_ERROR);
	session=rtp_session_new(RTP_SESSION_SENDONLY);

	rtp_session_set_scheduling_mode(session,1);
	rtp_session_set_blocking_mode(session,1);
	rtp_session_set_connected_mode(session,TRUE);
	rtp_session_set_remote_addr(session,"192.168.0.181",61610);
	rtp_session_set_payload_type(session,0);

	user_ts = 0;
}

rtpSender::~rtpSender()
{
	rtp_session_destroy(session);
	ortp_exit();
	ortp_global_stats_display();
}

void rtpSender::run()
{
	while(1) {
		rtp_session_send_with_ts(session, mbuffer, 160, user_ts);
		user_ts+=160;
	}
}

void rtpSender::sendData(const char *data, qint64 len)
{
	memcpy(mbuffer, data, len);
}
